﻿@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');
@import url('font/IRANSans.css');

html, body {
    font-family: IRANSans;
    text-align: right;
    font-size: 0.98rem;
    line-height : 1.1;
}

:root {
    --primary-color: #302AE6;
    --secondary-color: #536390;
    --font-color: black;
    --bg-color: #fff;
    --heading-color: #292922;
    --panel-color: #fff;
    --widget-color: #fcfdfd;
    --header-titr-color: #5EAAFA; /*#f7b925*/
    --panel-body-bgColor: darkgray;
    --table-bgColor: #fff;
    --table-head-color: #fff;
    --tab-bgColor: #fff;
    --form-bgColor: #fff;
    --blue: #0503a2;
    --yellow: #ffb200;
    --green: #43b01f;
    --red: red;
}

[data-theme="dark"] {
    --primary-color: #9A97F3;
    --secondary-color: #818cab;
    --font-color: #e1e1ff;
    --bg-color: #363637;
    --heading-color: #818cab;
    --panel-color: #3c3c3c;
    --widget-color: #3c3c3c;
    --header-titr-color: #4f4e4d;
    --panel-body-bgColor: inherit;
    --table-bgColor: inherit;
    --table-head-color: #e1e1ff;
    --tab-bgColor: #4d4545;
    --form-bgColor: #c2bebe;
    --green: #26b050;
    --blue: #0094ff;
    --red: red;
}
.content {
    padding-top: 1.1rem;
}

a, .btn-link {
    /*color: #a6b2bf;*/
    color: var(--font-color);
}
.table {
    direction : rtl;
}
.card{
    border-radius : 1rem;
}
.card-body {
    padding : 0.5rem;
    
}
.card-header {
    padding: 0.5rem 1.2rem;
    font-size: 14px;
    text-align: center;
    direction : ltr;
}
/*.row {
    margin-right: 0px;
}
*/


.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

#app {
    position: relative;
    display: flex;
    flex-direction: column;
    direction : rtl;
}




.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    right: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}
.f12 {
    font-size: 12px;
    direction: rtl;
}
.f14 {
    font-size: 14px;
    direction: rtl;
}
.table-bordered thead th{
    border-radius: 10px;
}
.table-bordered thead th:first-child {
    border:none;
}

#blazor-error-ui .dismiss {
    cursor: pointer;
    position: absolute;
    left: 0.75rem;
    top: 0.5rem;
}


table.grid-table {
    margin: 0;
}

.table tr td#collapse {
    cursor: pointer;
}

.table td, th {
    text-align: center;
}

.hiddenRow {
    padding: 0 4px !important;
    background-color: #eeeeee;
    font-size: 13px;
}

.table {
    color: inherit;
}

.counter {
    padding-top: 8%;
    padding-right: 53px;
}

table {
    border-collapse: separate;
}

td {
    border: solid 1px #000;
}

tr:first-child td:first-child {
    border-top-right-radius: 10px;
}

tr:first-child td:last-child {
    border-top-left-radius: 10px;
}

tr:last-child td:first-child {
    border-bottom-right-radius: 10px;
}

tr:last-child td:last-child {
    border-bottom-left-radius: 10px;
}
.table-bordered td, .table-bordered th {
    border: 1px solid #244d8a;
}
.navbar-fixed-bottom {
    bottom: 0;
    margin-bottom: 0;
    border-width: 1px 0 0;
    position: fixed;
    right: 0;
    left: 0;
    color: rgb(255, 255, 255);
    background: radial-gradient(black 15%, transparent 16%) 0 0, radial-gradient(black 15%, transparent 16%) 8px 8px, radial-gradient(rgba(255,255,255,.1) 15%, transparent 20%) 0 1px, radial-gradient(rgba(255,255,255,.1) 15%, transparent 20%) 8px 9px;
    background-color: #282828;
    background-size: 16px 16px;
    line-height: 2;
}

#snackbar {
    visibility: hidden;
    min-width: 250px;
    margin-left: -125px;
    background-color: #333;
    color: #fff;
    text-align: center;
    border-radius: 2px;
    padding: 16px;
    position: fixed;
    z-index: 1;
    left: 50%;
    bottom: 30px;
}

    #snackbar.show {
        visibility: visible;
        -webkit-animation: fadein 0.5s;
        animation: fadein 0.5s;
    }

@-webkit-keyframes fadein {
    from {
        bottom: 0;
        opacity: 0;
    }

    to {
        bottom: 30px;
        opacity: 1;
    }
}

@keyframes fadein {
    from {
        bottom: 0;
        opacity: 0;
    }

    to {
        bottom: 30px;
        opacity: 1;
    }
}



 
    
.sidebar {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #1ea48b 70%);
    direction : ltr;
}

    .sidebar .top-row {
        background-color: rgba(0,0,0,0.4);
        
    }

    .sidebar .navbar-brand {
        font-size: 1.1rem;
    }

    .sidebar .oi {
        width: 2rem;
        font-size: 1.1rem;
        vertical-align: text-top;
        top: -2px;
    }

    .sidebar .nav-item {
        font-size: 12px;
        padding-bottom: 0.5rem;
        direction : ltr;
    }

        .sidebar .nav-item:first-of-type {
            padding-top: 1rem;
        }

        .sidebar .nav-item:last-of-type {
            padding-bottom: 1rem;
        }

        .sidebar .nav-item a {
            color: #d7d7d7;
            border-radius: 4px;
            height: 3rem;
            display: flex;
            align-items: center;
            /*line-height: 3rem;*/
            flex-direction: row-reverse;
        }

            .sidebar .nav-item a.active {
                background-color: rgba(255,255,255,0.25);
                color: white;
            }

            .sidebar .nav-item a:hover {
                background-color: rgba(255,255,255,0.1);
                color: white;
            }
.sidebar .top-row {
    background-color: rgba(0,0,0,0.4);
}

.sidebar .navbar-brand {
    font-size: 1.1rem;
}

.sidebar .oi {
    width: 2rem;
    font-size: 1.1rem;
    vertical-align: text-top;
    top: -2px;
}

.sidebar .nav-item {
    font-size: 12px;
    padding-bottom: 0.5rem;
}

    .sidebar .nav-item:first-of-type {
        padding-top: 1rem;
    }

    .sidebar .nav-item:last-of-type {
        padding-bottom: 1rem;
    }

    .sidebar .nav-item a {
        color: #d7d7d7;
        border-radius: 4px;
        height: 3rem;
        display: flex;
        align-items: center;
        /*line-height: 3rem;*/
        flex-direction: row-reverse;
    }

        .sidebar .nav-item a.active {
            background-color: rgba(255,255,255,0.25);
            color: white;
        }

        .sidebar .nav-item a:hover {
            background-color: rgba(255,255,255,0.1);
            color: white;
        }

.nav-link {
    padding-left: 5px;
    padding-right: 6px;
}

@media (max-width: 1021.98px) {
    .no-col {
        display: none;
    }
}

